THINKFAN(1)

BEZEICHNUNG
thinkfan - Ein einfaches Programm zur Lüftersteuerung

ÜBERSICHT
thinkfan [-hnqDd] [-b BIAS] [-c KONFIGURATION] [-s SEKUNDEN] [-p [VERZÖGERUNG]]

BESCHREIBUNG

Thinkfan liest Temperaturen aus einer konfigurierten Gruppe von Sensoren und setzt dann die Lüfterdrehzahl anhand der in der Konfigurationsdatei eingestellten Temperaturgrenzen.

WARNUNG: Thinkfan nimmt nur sehr einfache Plausibilitätsprüfungen Ihrer Konfiguration vor. Das bedeutet, dass eine fehlerhafte Konfiguration die thermische Belastung der Hardware erhöhen oder sogar zu Zerstörung durch Überhitzung führen kann.

  Unterstützte Sensoren

• /proc/acpi/ibm/thermal
    dieser wird auf älteren Thinkpads vom Kernelmodul thinkpad_acpi bereitgestellt,

• temp*_input-Dateien in sysfs (hwmon-Schnittstelle)
    Kann von jedem hwmon-Treibern bereitgestellt werden, einschließlich thinkpad_acpi auf modernen Thinkpads.

• Festplatten mit S.M.A.R.T.-Unterstützung (libatasmart)
    Verfügbar, falls thinkfan mit -DUSE_ATASMART=ON kompiliert wurde. Beachten Sie, dass moderne Linux-Kernel auch die S.M.A.R.T.-Festplattentemperaturen mittels der Hwmon-Schnittstelle in Sysfs (und daher auch mittels lm_sensors) offenlegen können, was dann aufgrund der Effizienz bevorzugt werden sollte.

• Aus dem proprietären nVidia-Treiber
    Wenn der proprietäre nVidia-Treiber verwendet wird, ist für die Karte kein hwmon verfügbar. In dieser Situation kann Thinkfan die proprietäre NVML-API zum Ermitteln der Temperaturen verwenden.

• Mittels lm_sensors (Libsensors-Schnittstelle)
    Dies ist eine modernere und zuverlässigere Alternative zur oben erwähnten Sysfs-Hwmon-Schnittstelle. Im Prinzip ist es eine standardisierte Abstraktion für Sysfs-Hwmon, bei der Sensoren immer eindeutig identifiziert werden können, selbst wenn sich die Ladereihenfolge der Kernelmodule ändert.

  Unterstützte Lüfter
thinkfan kann eine beliebige Anzahl von Lüftern steuern, die auf zwei Arten angegeben werden können:

• /proc/acpi/ibm/fan
    Wird vom Kernelmodul thinkpad_acpi bereitgestellt. Beachten Sie, dass das Kernelmodul mit der Option »fan_control=1« geladen werden muss, damit im Anwendungsraum der Lüfter gesteuert werden kann. Auf einigen Modellen kann auch »experimental=1« notwendig sein. Siehe den Abschnitt SIEHE AUCH am Ende dieser Handbuchseite für einen Verweis auf die offizielle thinkpad_acpi-Dokumentation.

• pwm*_enable- und pwm?--Dateien in sysfs
    Wird von sämtlichen moderen Hardware-Überwachungstreibern bereitgestellt, einschließlich thinkpad_acpi.

  Abbildung von Temperaturen auf Lüftergeschwindigkeiten

Es sind zwei allgemeine Betriebsmodi verfügbar:

• Detailierter Modus
    Im detaillierten Modus werden die Temperaturgrenzwerte für jeden Sensor definiert, der Thinkfan bekannt ist. Die Festlegung geeigneter Grenzwerte für jeden Sensor in Ihrem System wird wahrscheinlich etwas Experimentieren und gute Kenntnisse Ihrer Hardware erfordern, aber es ist der sicherste Weg, jede der Komponenten innerhalb deren sicheren Temperaturbereich zu halten. In den Beispielkonfigurationen finden Sie die entsprechende Syntax.

• Einfacher Modus
    Im einfachen Modus verwendet Thinkfan nur die jeweils höchste im System gefundene Temperatur. Das kann gefährlich sein, zum Beispiel bei Festplatten. Daher sollten Sie einen Korrekturwert für den Sensor festlegen, der die Temperatur Ihrer Festplatte oder Ihres Akkus misst (indem Sie 10-15 °C hinzufügen). In den Beispielkonfigurationsdateien finden Sie Beispiele dazu.

KONFIGURATION
Sämtliche oben beschriebenen Funktionalitäten werden in der thinkfan-Konfigurationsdatei konfiguriert. Der Standardort ist /etc/thinkfan.conf oder /etc/thinkfan.yaml (siehe auch die Option -c weiter unten). Eine Beispielkonfigurationsdatei liegt dem Quellpaket bei. Sie ist ausschließlich zur Darstellung verschiedener Szenarien gedacht und nicht als Grundlage für eine tatsächlich funktionierende Konfiguration geeignet. Eine vollständige Referenz finden Sie in der Konfigurations-Handbuchseite thinkfan.conf(5).

OPTIONEN

-h  zeigt eine kurze Hilfemeldung an

-s SEKUNDEN
    Maximale Anzahl an Sekunden zwischen den Temperaturaktualisierungen (Vorgabe: 5)

-b BIAS
    Gleitkommazahl (-10 bis 30) zum Glätten oder Verstärken von schnellen Temperaturänderungen. Wenn die Temperatur eines Sensors in einem Zyklus um mehr als 2 °C steigt, wird ein Versatz wie folgt berechnet:

        Versatz = delta_t * BIAS / 10

    Dieser Versatz wird dann zu der tatsächlichen Temperatur hinzugefügt:

        biased_t = current_t + Versatz

    Falls delta_t in nachfolgenden Schleifen unterhalb von 2 °C bleibt, wird Versatz in Schritten von sgn(BIAS) * (1 + abs(BIAS/5)) wieder auf 0 reduziert.

    Dies bedeutet, dass ein negativer BIAS kurze und plötzliche Temperaturspitzen glättet, wie diese auf einigen Sensoren auf dem Chip vorkommen, während positive Werte ansteigende Temperaturen überhöhen, um z.B. Sensoren zu kompensieren, die langsam reagieren, da sie an große Kühlkörper angehängt sind.

    Im Modus »DANGEROUS« können Sie die Begrenzung auf -10 bis +30 aufheben. Beachten Sie, dass sich zwischen -b und einem negativen Element kein Leerraum befinden darf, da Getopt dies anderenfalls als Option interpretiert und fehlschlägt (das heißt, Sie schreiben -b-10 anstelle von -b -10).

    Die Vorgabe ist 0.

-c DATEI
    lädt eine andere Konfigurationsdatei. Standardmäßig versucht thinkfan zuerst, /etc/thinkfan.yaml zu laden, und danach /etc/thinkfan.conf. Erstere muss im YAML-Format vorliegen und Letztere kann entweder im YAML-Format oder der alten klassischen Syntax geschrieben sein.

    Falls diese Option angegeben ist, versucht thinkfan, die Konfiguration nur aus dieser DATEI zu laden. Falls deren Name mit .yaml endet, muss sie im YAML-Format vorliegen, anderenfalls kann sie entweder im YAML-Format oder der alten klassischen Syntax geschrieben sein. Siehe thinkfan.conf(5) und thinkfan.conf.legacy(5) für Details.

-n  wird nicht zum Hintergrunddienst und schreibt in das Terminal anstatt in das Systemprotokoll

-q  aktiviert den stillen Modus, das heißt, reduziert die Protokollierstufe gegenüber der Standardeinstellung. Dis kann mehrfach angegeben werden, bis nur noch Fehlermeldungen angezeigt bzw. protokolliert werden.

-v  aktiviert ausführlichere Ausgaben. Dies kann mehrfach angegeben werden, bis wirklich jede Meldung angezeigt bzw. protokolliert wird.

-p [SEKUNDEN]
    verwendet den »Pulsing Fan Workaround« (Behebung des Problems mit pulsierend beschleunigenden Lüftern bei älteren Thinkpads). Akzeptiert ein optionales Gleitkommazahl-Argument (0-10s) als Dauer der Anwendung. Standardmäßig 0,5 Sekunden.

-d  liest die Temperatur von schlafenden Platten nicht aus. Stattdessen wird 0 °C als Temperatur der Platte angenommen. Dies soll verhindern, dass das Auslesen der Temperatur Ihre Platte unnötig aufweckt. Hinweis: Diese Option ist nur verfügbar, wenn Thinkfan mit »-D USE_ATASMART« erstellt wurde.

-D  Modus »DANGEROUS«: Alle Plausibilitätsprüfungen werden deaktiviert. Ihre Hardware könnte beschädigt werden!

SIGNALE
SIGINT und SIGTERM brechen den Vorgang einfach ab und sollten dazu führen, dass Thinkfan sauber beendet wird.

SIGHUP weist Thinkfan an, seine Konfiguration neu zu laden. Sollte es Probleme mit der neuen Konfiguration geben, wird die alte Konfiguration beibehalten.

SIGUSR1 weist Thinkfan an, alle aktuell bekannten Temperaturen entweder in das Systemprotokoll oder in die Konsole auszugeben. Für die Ausgabe in die Konsole muss die Option -n übergeben werden.

SIGPWR teilt thinkfan mit, dass das System gleich in den Schlafzustand geht. thinkfan wird dann den Sensoren erlauben, in den nächsten vier Schleifen Fehler zu lesen, da viele Sensoren ein paar Sekunden benötigen, bevor sie nach dem Aufwachen aus einem Schlafzustand (Suspend oder Ruhezustand) wieder verfügbar sind. Falls die ausgelieferte systemd(1)-Dienstedatei thinkfan-sleep.service installiert ist, sollte sie sich um das Senden des Signals beim Eintritt in den Schlafzustand kümmern. Auf Distributionen ohne systemd(1) müssen andere Mechanismen verwandt werden.

SIGUSR2 teilt thinkfan mit, die Lüftersteuerung neu zu initialisieren. Dies wird von den meisten Lüftertreiber nach dem Aufwachen aus der Suspendierung benötigt, da sie dazu neigen, beim Aufwachen die Lüftersteuerung auf den automatischen Modus zurückzusetzen. Ähnlich wie SIGPWR sollte sich die systemd(1)-Dienstedatei thinkfan-wakeup.service auf systemd(1)-Systemen um das Senden dieses Signals beim Aufwachen kümmern. Auf Distributionen ohne systemd(1) müssen andere Mechanismen verwandt werden.

RÜCKGABEWERT

0   Normales Beenden

1   Laufzeitfehler

2   Unerwarteter Laufzeitfehler

3   Ungültige Befehlszeilenoption

SIEHE AUCH
Die Handbuchseite zur Konfiguration von thinkfan:
thinkfan.conf(5)

Beispielkonfigurationen, die mit der Quelldistribution mitgeliefert werden, sind auch hier verfügbar:
https://github.com/vmatare/thinkfan/tree/master/examples

Die Dokumentation der Hwmon-Benutzerschnittstelle von Linux:
https://www.kernel.org/doc/html/latest/hwmon/sysfs-interface.html

Dokumentation zur thinkpad_acpi-Schnittstelle:
https://www.kernel.org/doc/html/latest/admin-guide/laptops/thinkpad-acpi.html

FEHLER
Falls Thinkfan Sie darum bittet oder Sie selbst den Eindruck haben, einen Fehler gefunden zu haben, melden Sie ihn auf Github:

https://github.com/vmatare/thinkfan/issues

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.